<script>
    import { onMount } from 'svelte'
    import {
        acceptFriend,
        getRelationStatus,
        ignoreFriend,
        relations,
    } from 'lib/relations'

    export let username

    let status = undefined

    const refreshRelation = async () => {
        status = await getRelationStatus(username)
    }

    onMount(() => refreshRelation())

    relations.subscribe(() => refreshRelation())
</script>

{#if status === 'ignored'}
    <p>Ignorée</p>
{:else if status === 'friend'}
    <p>Acceptée</p>
{:else if status === 'request'}
    <button on:click|once={ignoreFriend(username)} class="dismiss">
        Ignorer
    </button>
    <button on:click|once={acceptFriend(username)}>Accepter</button>
{/if}

<style lang="postcss">
    p {
        @apply text-right text-blueGray-700 italic;
    }

    button {
        @apply p-2 bg-teal-500 text-teal-50 font-normal leading-tight tracking-wide rounded-lg transition-colors duration-150 ease-out;

        &:hover {
            @apply bg-teal-400 text-teal-800;
        }
        &:focus {
            @apply ring-4 ring-teal-500 ring-opacity-50;
        }

        &.dismiss {
            @apply bg-opacity-0 text-blueGray-400 underline p-0;

            &:hover {
                @apply text-blueGray-600;
            }
            &:focus {
                @apply ring-4 ring-blueGray-400 ring-opacity-50;
            }
        }
    }
</style>
